1 Reply Latest reply on Mar 8, 2011 7:57 AM by Rocky S

    Strange parse Warnings

    Peter Schütt Newbie

      Hallo,

      I use richfaces 4.0M6 and when I start my server I get these strange warnings.

       

      2011-03-08 12:34:09,059 WARNING org.richfaces.javascript.ClientServiceConfigParser parse  ---  Found JavaScript function definition for class javax.validation.constraints.NotNull, but that class is not presented

      2011-03-08 12:34:09,060 WARNING org.richfaces.javascript.ClientServiceConfigParser parse  ---  Found JavaScript function definition for class org.hibernate.validator.constraints.NotEmpty, but that class is not presented

      2011-03-08 12:34:09,061 WARNING org.richfaces.javascript.ClientServiceConfigParser parse  ---  Found JavaScript function definition for class javax.validation.constraints.Size, but that class is not presented

      2011-03-08 12:34:09,062 WARNING org.richfaces.javascript.ClientServiceConfigParser parse  ---  Found JavaScript function definition for class javax.validation.constraints.Pattern, but that class is not presented

      2011-03-08 12:34:09,063 WARNING org.richfaces.javascript.ClientServiceConfigParser parse  ---  Found JavaScript function definition for class javax.validation.constraints.Min, but that class is not presented

      2011-03-08 12:34:09,063 WARNING org.richfaces.javascript.ClientServiceConfigParser parse  ---  Found JavaScript function definition for class javax.validation.constraints.Max, but that class is not presented

       

      Thanks for any hints to solve or avoid these warnings.

       

      Ciao

        Peter Schütt

        • 1. Strange parse Warnings
          Rocky S Master

          Are you trying to use rich:ajaxvalidator or @Max annotation somewhere, looks like validation-api jar file is missing. Add this jar file to see if issue is resolved.

           

          Add this to your pom.xml-

           

          <dependency>

                       <groupId>javax.validation</groupId>

                       <artifactId>validation-api</artifactId>

                       <version>1.0.0.GA</version>

          </dependency>